[arch-commits] Commit in python-h5py/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Nov 29 16:51:03 UTC 2019


    Date: Friday, November 29, 2019 @ 16:51:03
  Author: felixonmars
Revision: 534390

archrelease: copy trunk to community-testing-x86_64

Added:
  python-h5py/repos/community-testing-x86_64/
  python-h5py/repos/community-testing-x86_64/PKGBUILD
    (from rev 534389, python-h5py/trunk/PKGBUILD)

----------+
 PKGBUILD |   63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

Copied: python-h5py/repos/community-testing-x86_64/PKGBUILD (from rev 534389, python-h5py/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2019-11-29 16:51:03 UTC (rev 534390)
@@ -0,0 +1,63 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+# Contributor: Andrzej Giniewicz <gginiu at gmail.com>
+# Contributor: Rich Li <rich at dranek.com>
+# Contributor: Sebastien Binet <binet at lblbox>
+
+_pkg=h5py
+pkgbase=python-$_pkg
+pkgname=(python-$_pkg python2-$_pkg)
+pkgver=2.10.0
+pkgrel=1
+pkgdesc="General-purpose Python bindings for the HDF5 library"
+url="https://www.h5py.org/"
+arch=('x86_64')
+license=('BSD')
+makedepends=('hdf5' 'cython' 'cython2' 'python-numpy' 'python2-numpy' 'python-six' 'python2-six'
+             'python-pkgconfig' 'python2-pkgconfig')
+checkdepends=('python-pytest' 'python2-pytest' 'python2-unittest2')
+source=("https://files.pythonhosted.org/packages/source/h/$_pkg/$_pkg-$pkgver.tar.gz")
+sha256sums=('84412798925dc870ffd7107f045d7659e60f5d46d1c70c700375248bf6bf512d')
+
+prepare() {
+  # Remove RPATH
+  sed -i "s/settings\\['runtime_library_dirs'\\] = settings\\['library_dirs'\\]/pass/" $_pkg-$pkgver/setup_build.py
+  cp -a $_pkg-$pkgver{,-py2}
+}
+
+build() {
+  cd $_pkg-$pkgver
+  python setup.py build
+
+  cd ../$_pkg-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd $_pkg-$pkgver
+  python setup.py test
+
+  cd ../$_pkg-$pkgver-py2
+  # https://github.com/h5py/h5py/issues/1435
+  python2 setup.py test || warning "Tests failed"
+}
+
+package_python-h5py() {
+  depends=('hdf5' 'python-numpy' 'python-six')
+  conflicts=('hdf5-openmpi')
+
+  cd $_pkg-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -D licenses/license.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-h5py() {
+  depends=('hdf5' 'python2-numpy' 'python2-six')
+  conflicts=('hdf5-openmpi')
+
+  cd $_pkg-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  install -D licenses/license.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list